endin
Prev | Orchestra Opcodes and Operators | Next

## endin

endin — Ends the current instrument block.

## Description

Ends the current instrument block.

## Syntax

                endin

## Initialization

Ends the current instrument block.

Instruments can be defined in any order (but they will always be both initialized and performed in ascending instrument number order). Instrument blocks cannot be nested (i.e. one block cannot contain another).

| Note
There may be any number of instrument blocks in an orchestra.

## Examples

Here is an example of the endin opcode. It uses the file endin.csd.

Example 135. Example of the endin opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in    No messages
    -odac           -iadc     -d     ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o endin.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      iamp = 10000
      icps = 440
      iphs = 0

      a1 oscils iamp, icps, iphs
      out a1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for 2 seconds.
    i 1 0 2
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

instr

## Credits

Example written by Kevin Conder.

Prev | Up | Next
endif | Home | endop